/*
 * Copyright (C) 2010 ProFUSION embedded systems
 * Copyright (C) 2010 Samsung Electronics
 * Copyright (c) 2012 NINTENDO.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY APPLE COMPUTER, INC. ``AS IS'' AND ANY
 * EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL APPLE COMPUTER, INC. OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 * PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY
 * OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 * OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

#include "config.h"

#include "ContextMenuClientWiiU.h"

#include "ContextMenu.h"
#include "HitTestResult.h"
#include "KURL.h"
#include "NotImplemented.h"
#include "PlatformMenuDescription.h"

using namespace WebCore;

namespace WebCore {

void ContextMenuClientWiiU::contextMenuDestroyed()
{
    delete this;
}

PlatformMenuDescription ContextMenuClientWiiU::getCustomMenuFromDefaultItems(ContextMenu* menu)
{
    return NULL;
}

void ContextMenuClientWiiU::contextMenuItemSelected(ContextMenuItem*, const ContextMenu*)
{
    notImplemented();
}

void ContextMenuClientWiiU::downloadURL(const KURL& url)
{
    notImplemented();
}

void ContextMenuClientWiiU::searchWithGoogle(const Frame*)
{
    notImplemented();
}

void ContextMenuClientWiiU::lookUpInDictionary(Frame*)
{
    notImplemented();
}

bool ContextMenuClientWiiU::isSpeaking()
{
    notImplemented();
    return false;
}

void ContextMenuClientWiiU::speak(const String&)
{
    notImplemented();
}

void ContextMenuClientWiiU::stopSpeaking()
{
    notImplemented();
}

PlatformMenuDescription ContextMenuClientWiiU::createPlatformDescription(ContextMenu* menu)
{
    return NULL;
}

void ContextMenuClientWiiU::freePlatformDescription(PlatformMenuDescription menu)
{
}

void ContextMenuClientWiiU::appendItem(PlatformMenuDescription menu, ContextMenuItem& item)
{
}

void ContextMenuClientWiiU::show(PlatformMenuDescription menu)
{
}

}
